import { ClientProvider, ClientUtils } from "@scramjet/client-utils";
import { ManagerClient } from "@scramjet/manager-api-client";
import { MWRestAPI, MMRestAPI } from "@scramjet/types";
export declare class MiddlewareClient implements ClientProvider {
    apiBase: string;
    client: ClientUtils;
    constructor(apiBase: string, utils?: ClientUtils);
    getManagerClient(id: string, mutliManagerApiBase?: string): ManagerClient;
    getManagers(): Promise<MMRestAPI.GetManagersResponse>;
    getVersion(): Promise<MWRestAPI.GetVersionResponse>;
    getAuditStream(): Promise<ReadableStream<any>>;
}
